* {
    font-family: "Press Start 2P", system-ui;
    font-weight: 400;
    font-style: normal;
    margin: 0;
    padding: 0;
    cursor: default;
    user-select: none;
    /* -webkit-text-stroke: 4px #fff; */

}

/* *** GLOBAL CLASSES *** */

/* effects */

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}

.pulse {
    animation: pulse 2s infinite;
}

.pulse:hover,
.pulse:active {
    animation: none;
}

/* btn classes */

.btn {
    transition: all 0.2s ease;
    cursor: pointer;
    display: inline-block;
}

.btn:hover {
    transform: scale(1.1);
    text-shadow:
        -5px -5px 0 #92670A, -4px -5px 0 #92670A, -3px -5px 0 #92670A, -2px -5px 0 #92670A, -1px -5px 0 #92670A,
        0px -5px 0 #92670A, 1px -5px 0 #92670A, 2px -5px 0 #92670A, 3px -5px 0 #92670A, 4px -5px 0 #92670A,
        5px -5px 0 #92670A, -5px -4px 0 #92670A, -4px -4px 0 #92670A, -3px -4px 0 #92670A, -2px -4px 0 #92670A,
        -1px -4px 0 #92670A, 0px -4px 0 #92670A, 1px -4px 0 #92670A, 2px -4px 0 #92670A, 3px -4px 0 #92670A,
        4px -4px 0 #92670A, 5px -4px 0 #92670A, -5px -3px 0 #92670A, -4px -3px 0 #92670A, -3px -3px 0 #92670A,
        -2px -3px 0 #92670A, -1px -3px 0 #92670A, 0px -3px 0 #92670A, 1px -3px 0 #92670A, 2px -3px 0 #92670A,
        3px -3px 0 #92670A, 4px -3px 0 #92670A, 5px -3px 0 #92670A, -5px -2px 0 #92670A, -4px -2px 0 #92670A,
        -3px -2px 0 #92670A, -2px -2px 0 #92670A, -1px -2px 0 #92670A, 0px -2px 0 #92670A, 1px -2px 0 #92670A,
        2px -2px 0 #92670A, 3px -2px 0 #92670A, 4px -2px 0 #92670A, 5px -2px 0 #92670A, -5px -1px 0 #92670A,
        -4px -1px 0 #92670A, -3px -1px 0 #92670A, -2px -1px 0 #92670A, -1px -1px 0 #92670A, 0px -1px 0 #92670A,
        1px -1px 0 #92670A, 2px -1px 0 #92670A, 3px -1px 0 #92670A, 4px -1px 0 #92670A, 5px -1px 0 #92670A,
        -5px 0px 0 #92670A, -4px 0px 0 #92670A, -3px 0px 0 #92670A, -2px 0px 0 #92670A, -1px 0px 0 #92670A,
        1px 0px 0 #92670A, 2px 0px 0 #92670A, 3px 0px 0 #92670A, 4px 0px 0 #92670A, 5px 0px 0 #92670A,
        -5px 1px 0 #92670A, -4px 1px 0 #92670A, -3px 1px 0 #92670A, -2px 1px 0 #92670A, -1px 1px 0 #92670A,
        0px 1px 0 #92670A, 1px 1px 0 #92670A, 2px 1px 0 #92670A, 3px 1px 0 #92670A, 4px 1px 0 #92670A,
        5px 1px 0 #92670A, -5px 2px 0 #92670A, -4px 2px 0 #92670A, -3px 2px 0 #92670A, -2px 2px 0 #92670A,
        -1px 2px 0 #92670A, 0px 2px 0 #92670A, 1px 2px 0 #92670A, 2px 2px 0 #92670A, 3px 2px 0 #92670A,
        4px 2px 0 #92670A, 5px 2px 0 #92670A, -5px 3px 0 #92670A, -4px 3px 0 #92670A, -3px 3px 0 #92670A,
        -2px 3px 0 #92670A, -1px 3px 0 #92670A, 0px 3px 0 #92670A, 1px 3px 0 #92670A, 2px 3px 0 #92670A,
        3px 3px 0 #92670A, 4px 3px 0 #92670A, 5px 3px 0 #92670A, -5px 4px 0 #92670A, -4px 4px 0 #92670A,
        -3px 4px 0 #92670A, -2px 4px 0 #92670A, -1px 4px 0 #92670A, 0px 4px 0 #92670A, 1px 4px 0 #92670A,
        2px 4px 0 #92670A, 3px 4px 0 #92670A, 4px 4px 0 #92670A, 5px 4px 0 #92670A, -5px 5px 0 #92670A,
        -4px 5px 0 #92670A, -3px 5px 0 #92670A, -2px 5px 0 #92670A, -1px 5px 0 #92670A, 0px 5px 0 #92670A,
        1px 5px 0 #92670A, 2px 5px 0 #92670A, 3px 5px 0 #92670A, 4px 5px 0 #92670A, 5px 5px 0 #92670A;
}

.btn:active {
    transform: scale(0.95);
    text-shadow:
        -5px -5px 0 #4B3301, -4px -5px 0 #4B3301, -3px -5px 0 #4B3301, -2px -5px 0 #4B3301, -1px -5px 0 #4B3301,
        0px -5px 0 #4B3301, 1px -5px 0 #4B3301, 2px -5px 0 #4B3301, 3px -5px 0 #4B3301, 4px -5px 0 #4B3301,
        5px -5px 0 #4B3301, -5px -4px 0 #4B3301, -4px -4px 0 #4B3301, -3px -4px 0 #4B3301, -2px -4px 0 #4B3301,
        -1px -4px 0 #4B3301, 0px -4px 0 #4B3301, 1px -4px 0 #4B3301, 2px -4px 0 #4B3301, 3px -4px 0 #4B3301,
        4px -4px 0 #4B3301, 5px -4px 0 #4B3301, -5px -3px 0 #4B3301, -4px -3px 0 #4B3301, -3px -3px 0 #4B3301,
        -2px -3px 0 #4B3301, -1px -3px 0 #4B3301, 0px -3px 0 #4B3301, 1px -3px 0 #4B3301, 2px -3px 0 #4B3301,
        3px -3px 0 #4B3301, 4px -3px 0 #4B3301, 5px -3px 0 #4B3301, -5px -2px 0 #4B3301, -4px -2px 0 #4B3301,
        -3px -2px 0 #4B3301, -2px -2px 0 #4B3301, -1px -2px 0 #4B3301, 0px -2px 0 #4B3301, 1px -2px 0 #4B3301,
        2px -2px 0 #4B3301, 3px -2px 0 #4B3301, 4px -2px 0 #4B3301, 5px -2px 0 #4B3301, -5px -1px 0 #4B3301,
        -4px -1px 0 #4B3301, -3px -1px 0 #4B3301, -2px -1px 0 #4B3301, -1px -1px 0 #4B3301, 0px -1px 0 #4B3301,
        1px -1px 0 #4B3301, 2px -1px 0 #4B3301, 3px -1px 0 #4B3301, 4px -1px 0 #4B3301, 5px -1px 0 #4B3301,
        -5px 0px 0 #4B3301, -4px 0px 0 #4B3301, -3px 0px 0 #4B3301, -2px 0px 0 #4B3301, -1px 0px 0 #4B3301,
        1px 0px 0 #4B3301, 2px 0px 0 #4B3301, 3px 0px 0 #4B3301, 4px 0px 0 #4B3301, 5px 0px 0 #4B3301,
        -5px 1px 0 #4B3301, -4px 1px 0 #4B3301, -3px 1px 0 #4B3301, -2px 1px 0 #4B3301, -1px 1px 0 #4B3301,
        0px 1px 0 #4B3301, 1px 1px 0 #4B3301, 2px 1px 0 #4B3301, 3px 1px 0 #4B3301, 4px 1px 0 #4B3301,
        5px 1px 0 #4B3301, -5px 2px 0 #4B3301, -4px 2px 0 #4B3301, -3px 2px 0 #4B3301, -2px 2px 0 #4B3301,
        -1px 2px 0 #4B3301, 0px 2px 0 #4B3301, 1px 2px 0 #4B3301, 2px 2px 0 #4B3301, 3px 2px 0 #4B3301,
        4px 2px 0 #4B3301, 5px 2px 0 #4B3301, -5px 3px 0 #4B3301, -4px 3px 0 #4B3301, -3px 3px 0 #4B3301,
        -2px 3px 0 #4B3301, -1px 3px 0 #4B3301, 0px 3px 0 #4B3301, 1px 3px 0 #4B3301, 2px 3px 0 #4B3301,
        3px 3px 0 #4B3301, 4px 3px 0 #4B3301, 5px 3px 0 #4B3301, -5px 4px 0 #4B3301, -4px 4px 0 #4B3301,
        -3px 4px 0 #4B3301, -2px 4px 0 #4B3301, -1px 4px 0 #4B3301, 0px 4px 0 #4B3301, 1px 4px 0 #4B3301,
        2px 4px 0 #4B3301, 3px 4px 0 #4B3301, 4px 4px 0 #4B3301, 5px 4px 0 #4B3301, -5px 5px 0 #4B3301,
        -4px 5px 0 #4B3301, -3px 5px 0 #4B3301, -2px 5px 0 #4B3301, -1px 5px 0 #4B3301, 0px 5px 0 #4B3301,
        1px 5px 0 #4B3301, 2px 5px 0 #4B3301, 3px 5px 0 #4B3301, 4px 5px 0 #4B3301, 5px 5px 0 #4B3301;
}

.btn img,
.btn svg {
    transition: filter 0.2s ease;
}

.btn:hover img,
.btn:hover svg {
    filter:
        drop-shadow(0 0 1px #92670A) drop-shadow(0 0 2px #92670A) drop-shadow(0 0 3px #92670A) drop-shadow(0 0 4px #92670A) drop-shadow(0 0 5px #92670A);
}

.btn:active img,
.btn:active svg {
    filter:
        drop-shadow(0 0 1px #4B3301) drop-shadow(0 0 2px #4B3301) drop-shadow(0 0 3px #4B3301) drop-shadow(0 0 4px #4B3301) drop-shadow(0 0 5px #4B3301);
}

/* text strokes  */

.stroke-orange {
    text-shadow:
        -5px -5px 0 #faa300, -4px -5px 0 #faa300, -3px -5px 0 #faa300, -2px -5px 0 #faa300, -1px -5px 0 #faa300,
        0px -5px 0 #faa300, 1px -5px 0 #faa300, 2px -5px 0 #faa300, 3px -5px 0 #faa300, 4px -5px 0 #faa300,
        5px -5px 0 #faa300, -5px -4px 0 #faa300, -4px -4px 0 #faa300, -3px -4px 0 #faa300, -2px -4px 0 #faa300,
        -1px -4px 0 #faa300, 0px -4px 0 #faa300, 1px -4px 0 #faa300, 2px -4px 0 #faa300, 3px -4px 0 #faa300,
        4px -4px 0 #faa300, 5px -4px 0 #faa300, -5px -3px 0 #faa300, -4px -3px 0 #faa300, -3px -3px 0 #faa300,
        -2px -3px 0 #faa300, -1px -3px 0 #faa300, 0px -3px 0 #faa300, 1px -3px 0 #faa300, 2px -3px 0 #faa300,
        3px -3px 0 #faa300, 4px -3px 0 #faa300, 5px -3px 0 #faa300, -5px -2px 0 #faa300, -4px -2px 0 #faa300,
        -3px -2px 0 #faa300, -2px -2px 0 #faa300, -1px -2px 0 #faa300, 0px -2px 0 #faa300, 1px -2px 0 #faa300,
        2px -2px 0 #faa300, 3px -2px 0 #faa300, 4px -2px 0 #faa300, 5px -2px 0 #faa300, -5px -1px 0 #faa300,
        -4px -1px 0 #92670A, -3px -1px 0 #92670A, -2px -1px 0 #92670A, -1px -1px 0 #92670A, 0px -1px 0 #92670A,
        1px -1px 0 #92670A, 2px -1px 0 #92670A, 3px -1px 0 #92670A, 4px -1px 0 #92670A, 5px -1px 0 #92670A,
        -5px 0px 0 #92670A, -4px 0px 0 #92670A, -3px 0px 0 #92670A, -2px 0px 0 #92670A, -1px 0px 0 #92670A,
        1px 0px 0 #92670A, 2px 0px 0 #92670A, 3px 0px 0 #92670A, 4px 0px 0 #92670A, 5px 0px 0 #92670A,
        -5px 1px 0 #92670A, -4px 1px 0 #92670A, -3px 1px 0 #92670A, -2px 1px 0 #92670A, -1px 1px 0 #92670A,
        0px 1px 0 #92670A, 1px 1px 0 #92670A, 2px 1px 0 #92670A, 3px 1px 0 #92670A, 4px 1px 0 #92670A,
        5px 1px 0 #92670A, -5px 2px 0 #92670A, -4px 2px 0 #92670A, -3px 2px 0 #92670A, -2px 2px 0 #92670A,
        -1px 2px 0 #92670A, 0px 2px 0 #92670A, 1px 2px 0 #92670A, 2px 2px 0 #92670A, 3px 2px 0 #92670A,
        4px 2px 0 #92670A, 5px 2px 0 #92670A, -5px 3px 0 #92670A, -4px 3px 0 #92670A, -3px 3px 0 #92670A,
        -2px 3px 0 #92670A, -1px 3px 0 #92670A, 0px 3px 0 #92670A, 1px 3px 0 #92670A, 2px 3px 0 #92670A,
        3px 3px 0 #92670A, 4px 3px 0 #92670A, 5px 3px 0 #92670A, -5px 4px 0 #92670A, -4px 4px 0 #92670A,
        -3px 4px 0 #92670A, -2px 4px 0 #92670A, -1px 4px 0 #92670A, 0px 4px 0 #92670A, 1px 4px 0 #92670A,
        2px 4px 0 #92670A, 3px 4px 0 #92670A, 4px 4px 0 #92670A, 5px 4px 0 #92670A, -5px 5px 0 #92670A,
        -4px 5px 0 #92670A, -3px 5px 0 #92670A, -2px 5px 0 #92670A, -1px 5px 0 #92670A, 0px 5px 0 #92670A,
        1px 5px 0 #92670A, 2px 5px 0 #92670A, 3px 5px 0 #92670A, 4px 5px 0 #92670A, 5px 5px 0 #92670A;
}

.stroke-dark-blue {
    text-shadow:
        -5px -5px 0 #000B51, -4px -5px 0 #000B51, -3px -5px 0 #000B51, -2px -5px 0 #000B51, -1px -5px 0 #000B51,
        0px -5px 0 #000B51, 1px -5px 0 #000B51, 2px -5px 0 #000B51, 3px -5px 0 #000B51, 4px -5px 0 #000B51,
        5px -5px 0 #000B51, -5px -4px 0 #000B51, -4px -4px 0 #000B51, -3px -4px 0 #000B51, -2px -4px 0 #000B51,
        -1px -4px 0 #000B51, 0px -4px 0 #000B51, 1px -4px 0 #000B51, 2px -4px 0 #000B51, 3px -4px 0 #000B51,
        4px -4px 0 #000B51, 5px -4px 0 #000B51, -5px -3px 0 #000B51, -4px -3px 0 #000B51, -3px -3px 0 #000B51,
        -2px -3px 0 #000B51, -1px -3px 0 #000B51, 0px -3px 0 #000B51, 1px -3px 0 #000B51, 2px -3px 0 #000B51,
        3px -3px 0 #000B51, 4px -3px 0 #000B51, 5px -3px 0 #000B51, -5px -2px 0 #000B51, -4px -2px 0 #000B51,
        -3px -2px 0 #000B51, -2px -2px 0 #000B51, -1px -2px 0 #000B51, 0px -2px 0 #000B51, 1px -2px 0 #000B51,
        2px -2px 0 #000B51, 3px -2px 0 #000B51, 4px -2px 0 #000B51, 5px -2px 0 #000B51, -5px -1px 0 #000B51,
        -4px -1px 0 #000B51, -3px -1px 0 #000B51, -2px -1px 0 #000B51, -1px -1px 0 #000B51, 0px -1px 0 #000B51,
        1px -1px 0 #000B51, 2px -1px 0 #000B51, 3px -1px 0 #000B51, 4px -1px 0 #000B51, 5px -1px 0 #000B51,
        -5px 0px 0 #000B51, -4px 0px 0 #000B51, -3px 0px 0 #000B51, -2px 0px 0 #000B51, -1px 0px 0 #000B51,
        1px 0px 0 #000B51, 2px 0px 0 #000B51, 3px 0px 0 #000B51, 4px 0px 0 #000B51, 5px 0px 0 #000B51,
        -5px 1px 0 #000B51, -4px 1px 0 #000B51, -3px 1px 0 #000B51, -2px 1px 0 #000B51, -1px 1px 0 #000B51,
        0px 1px 0 #000B51, 1px 1px 0 #000B51, 2px 1px 0 #000B51, 3px 1px 0 #000B51, 4px 1px 0 #000B51,
        5px 1px 0 #000B51, -5px 2px 0 #000B51, -4px 2px 0 #000B51, -3px 2px 0 #000B51, -2px 2px 0 #000B51,
        -1px 2px 0 #000B51, 0px 2px 0 #000B51, 1px 2px 0 #000B51, 2px 2px 0 #000B51, 3px 2px 0 #000B51,
        4px 2px 0 #000B51, 5px 2px 0 #000B51, -5px 3px 0 #000B51, -4px 3px 0 #000B51, -3px 3px 0 #000B51,
        -2px 3px 0 #000B51, -1px 3px 0 #000B51, 0px 3px 0 #000B51, 1px 3px 0 #000B51, 2px 3px 0 #000B51,
        3px 3px 0 #000B51, 4px 3px 0 #000B51, 5px 3px 0 #000B51, -5px 4px 0 #000B51, -4px 4px 0 #000B51,
        -3px 4px 0 #000B51, -2px 4px 0 #000B51, -1px 4px 0 #000B51, 0px 4px 0 #000B51, 1px 4px 0 #000B51,
        2px 4px 0 #000B51, 3px 4px 0 #000B51, 4px 4px 0 #000B51, 5px 4px 0 #000B51, -5px 5px 0 #000B51,
        -4px 5px 0 #000B51, -3px 5px 0 #000B51, -2px 5px 0 #000B51, -1px 5px 0 #000B51, 0px 5px 0 #000B51,
        1px 5px 0 #000B51, 2px 5px 0 #000B51, 3px 5px 0 #000B51, 4px 5px 0 #000B51, 5px 5px 0 #000B51;
}

.stroke-blue {
    text-shadow:
        -5px -5px 0 #2E4AFD, -4px -5px 0 #2E4AFD, -3px -5px 0 #2E4AFD, -2px -5px 0 #2E4AFD, -1px -5px 0 #2E4AFD,
        0px -5px 0 #2E4AFD, 1px -5px 0 #2E4AFD, 2px -5px 0 #2E4AFD, 3px -5px 0 #2E4AFD, 4px -5px 0 #2E4AFD,
        5px -5px 0 #2E4AFD, -5px -4px 0 #2E4AFD, -4px -4px 0 #2E4AFD, -3px -4px 0 #2E4AFD, -2px -4px 0 #2E4AFD,
        -1px -4px 0 #2E4AFD, 0px -4px 0 #2E4AFD, 1px -4px 0 #2E4AFD, 2px -4px 0 #2E4AFD, 3px -4px 0 #2E4AFD,
        4px -4px 0 #2E4AFD, 5px -4px 0 #2E4AFD, -5px -3px 0 #2E4AFD, -4px -3px 0 #2E4AFD, -3px -3px 0 #2E4AFD,
        -2px -3px 0 #2E4AFD, -1px -3px 0 #2E4AFD, 0px -3px 0 #2E4AFD, 1px -3px 0 #2E4AFD, 2px -3px 0 #2E4AFD,
        3px -3px 0 #2E4AFD, 4px -3px 0 #2E4AFD, 5px -3px 0 #2E4AFD, -5px -2px 0 #2E4AFD, -4px -2px 0 #2E4AFD,
        -3px -2px 0 #2E4AFD, -2px -2px 0 #2E4AFD, -1px -2px 0 #2E4AFD, 0px -2px 0 #2E4AFD, 1px -2px 0 #2E4AFD,
        2px -2px 0 #2E4AFD, 3px -2px 0 #2E4AFD, 4px -2px 0 #2E4AFD, 5px -2px 0 #2E4AFD, -5px -1px 0 #2E4AFD,
        -4px -1px 0 #2E4AFD, -3px -1px 0 #2E4AFD, -2px -1px 0 #2E4AFD, -1px -1px 0 #2E4AFD, 0px -1px 0 #2E4AFD,
        1px -1px 0 #2E4AFD, 2px -1px 0 #2E4AFD, 3px -1px 0 #2E4AFD, 4px -1px 0 #2E4AFD, 5px -1px 0 #2E4AFD,
        -5px 0px 0 #2E4AFD, -4px 0px 0 #2E4AFD, -3px 0px 0 #2E4AFD, -2px 0px 0 #2E4AFD, -1px 0px 0 #2E4AFD,
        1px 0px 0 #2E4AFD, 2px 0px 0 #2E4AFD, 3px 0px 0 #2E4AFD, 4px 0px 0 #2E4AFD, 5px 0px 0 #2E4AFD,
        -5px 1px 0 #2E4AFD, -4px 1px 0 #2E4AFD, -3px 1px 0 #2E4AFD, -2px 1px 0 #2E4AFD, -1px 1px 0 #2E4AFD,
        0px 1px 0 #2E4AFD, 1px 1px 0 #2E4AFD, 2px 1px 0 #2E4AFD, 3px 1px 0 #2E4AFD, 4px 1px 0 #2E4AFD,
        5px 1px 0 #2E4AFD, -5px 2px 0 #2E4AFD, -4px 2px 0 #2E4AFD, -3px 2px 0 #2E4AFD, -2px 2px 0 #2E4AFD,
        -1px 2px 0 #2E4AFD, 0px 2px 0 #2E4AFD, 1px 2px 0 #2E4AFD, 2px 2px 0 #2E4AFD, 3px 2px 0 #2E4AFD,
        4px 2px 0 #2E4AFD, 5px 2px 0 #2E4AFD, -5px 3px 0 #2E4AFD, -4px 3px 0 #2E4AFD, -3px 3px 0 #2E4AFD,
        -2px 3px 0 #2E4AFD, -1px 3px 0 #2E4AFD, 0px 3px 0 #2E4AFD, 1px 3px 0 #2E4AFD, 2px 3px 0 #2E4AFD,
        3px 3px 0 #2E4AFD, 4px 3px 0 #2E4AFD, 5px 3px 0 #2E4AFD, -5px 4px 0 #2E4AFD, -4px 4px 0 #2E4AFD,
        -3px 4px 0 #2E4AFD, -2px 4px 0 #2E4AFD, -1px 4px 0 #2E4AFD, 0px 4px 0 #2E4AFD, 1px 4px 0 #2E4AFD,
        2px 4px 0 #2E4AFD, 3px 4px 0 #2E4AFD, 4px 4px 0 #2E4AFD, 5px 4px 0 #2E4AFD, -5px 5px 0 #2E4AFD,
        -4px 5px 0 #2E4AFD, -3px 5px 0 #2E4AFD, -2px 5px 0 #2E4AFD, -1px 5px 0 #2E4AFD, 0px 5px 0 #2E4AFD,
        1px 5px 0 #2E4AFD, 2px 5px 0 #2E4AFD, 3px 5px 0 #2E4AFD, 4px 5px 0 #2E4AFD, 5px 5px 0 #2E4AFD;
}

.stroke-red {
    text-shadow:
        -5px -5px 0 #ce0d0d, -4px -5px 0 #ce0d0d, -3px -5px 0 #ce0d0d, -2px -5px 0 #ce0d0d, -1px -5px 0 #ce0d0d,
        0px -5px 0 #ce0d0d, 1px -5px 0 #ce0d0d, 2px -5px 0 #ce0d0d, 3px -5px 0 #ce0d0d, 4px -5px 0 #ce0d0d,
        5px -5px 0 #ce0d0d, -5px -4px 0 #ce0d0d, -4px -4px 0 #ce0d0d, -3px -4px 0 #ce0d0d, -2px -4px 0 #ce0d0d,
        -1px -4px 0 #ce0d0d, 0px -4px 0 #ce0d0d, 1px -4px 0 #ce0d0d, 2px -4px 0 #ce0d0d, 3px -4px 0 #ce0d0d,
        4px -4px 0 #ce0d0d, 5px -4px 0 #ce0d0d, -5px -3px 0 #ce0d0d, -4px -3px 0 #ce0d0d, -3px -3px 0 #ce0d0d,
        -2px -3px 0 #ce0d0d, -1px -3px 0 #ce0d0d, 0px -3px 0 #ce0d0d, 1px -3px 0 #ce0d0d, 2px -3px 0 #ce0d0d,
        3px -3px 0 #ce0d0d, 4px -3px 0 #ce0d0d, 5px -3px 0 #ce0d0d, -5px -2px 0 #ce0d0d, -4px -2px 0 #ce0d0d,
        -3px -2px 0 #ce0d0d, -2px -2px 0 #ce0d0d, -1px -2px 0 #ce0d0d, 0px -2px 0 #ce0d0d, 1px -2px 0 #ce0d0d,
        2px -2px 0 #ce0d0d, 3px -2px 0 #ce0d0d, 4px -2px 0 #ce0d0d, 5px -2px 0 #ce0d0d, -5px -1px 0 #ce0d0d,
        -4px -1px 0 #ce0d0d, -3px -1px 0 #ce0d0d, -2px -1px 0 #ce0d0d, -1px -1px 0 #ce0d0d, 0px -1px 0 #ce0d0d,
        1px -1px 0 #ce0d0d, 2px -1px 0 #ce0d0d, 3px -1px 0 #ce0d0d, 4px -1px 0 #ce0d0d, 5px -1px 0 #ce0d0d,
        -5px 0px 0 #ce0d0d, -4px 0px 0 #ce0d0d, -3px 0px 0 #ce0d0d, -2px 0px 0 #ce0d0d, -1px 0px 0 #ce0d0d,
        1px 0px 0 #ce0d0d, 2px 0px 0 #ce0d0d, 3px 0px 0 #ce0d0d, 4px 0px 0 #ce0d0d, 5px 0px 0 #ce0d0d,
        -5px 1px 0 #ce0d0d, -4px 1px 0 #ce0d0d, -3px 1px 0 #ce0d0d, -2px 1px 0 #ce0d0d, -1px 1px 0 #ce0d0d,
        0px 1px 0 #ce0d0d, 1px 1px 0 #ce0d0d, 2px 1px 0 #ce0d0d, 3px 1px 0 #ce0d0d, 4px 1px 0 #ce0d0d,
        5px 1px 0 #ce0d0d, -5px 2px 0 #ce0d0d, -4px 2px 0 #ce0d0d, -3px 2px 0 #ce0d0d, -2px 2px 0 #ce0d0d,
        -1px 2px 0 #ce0d0d, 0px 2px 0 #ce0d0d, 1px 2px 0 #ce0d0d, 2px 2px 0 #ce0d0d, 3px 2px 0 #ce0d0d,
        4px 2px 0 #ce0d0d, 5px 2px 0 #ce0d0d, -5px 3px 0 #ce0d0d, -4px 3px 0 #ce0d0d, -3px 3px 0 #ce0d0d,
        -2px 3px 0 #ce0d0d, -1px 3px 0 #ce0d0d, 0px 3px 0 #ce0d0d, 1px 3px 0 #ce0d0d, 2px 3px 0 #ce0d0d,
        3px 3px 0 #ce0d0d, 4px 3px 0 #ce0d0d, 5px 3px 0 #ce0d0d, -5px 4px 0 #ce0d0d, -4px 4px 0 #ce0d0d,
        -3px 4px 0 #ce0d0d, -2px 4px 0 #ce0d0d, -1px 4px 0 #ce0d0d, 0px 4px 0 #ce0d0d, 1px 4px 0 #ce0d0d,
        2px 4px 0 #ce0d0d, 3px 4px 0 #ce0d0d, 4px 4px 0 #ce0d0d, 5px 4px 0 #ce0d0d, -5px 5px 0 #ce0d0d,
        -4px 5px 0 #ce0d0d, -3px 5px 0 #ce0d0d, -2px 5px 0 #ce0d0d, -1px 5px 0 #ce0d0d, 0px 5px 0 #ce0d0d,
        1px 5px 0 #ce0d0d, 2px 5px 0 #ce0d0d, 3px 5px 0 #ce0d0d, 4px 5px 0 #ce0d0d, 5px 5px 0 #ce0d0d;
}

.stroke-gold {
    text-shadow:
        -5px -5px 0 #92670A, -4px -5px 0 #92670A, -3px -5px 0 #92670A, -2px -5px 0 #92670A, -1px -5px 0 #92670A,
        0px -5px 0 #92670A, 1px -5px 0 #92670A, 2px -5px 0 #92670A, 3px -5px 0 #92670A, 4px -5px 0 #92670A,
        5px -5px 0 #92670A, -5px -4px 0 #92670A, -4px -4px 0 #92670A, -3px -4px 0 #92670A, -2px -4px 0 #92670A,
        -1px -4px 0 #92670A, 0px -4px 0 #92670A, 1px -4px 0 #92670A, 2px -4px 0 #92670A, 3px -4px 0 #92670A,
        4px -4px 0 #92670A, 5px -4px 0 #92670A, -5px -3px 0 #92670A, -4px -3px 0 #92670A, -3px -3px 0 #92670A,
        -2px -3px 0 #92670A, -1px -3px 0 #92670A, 0px -3px 0 #92670A, 1px -3px 0 #92670A, 2px -3px 0 #92670A,
        3px -3px 0 #92670A, 4px -3px 0 #92670A, 5px -3px 0 #92670A, -5px -2px 0 #92670A, -4px -2px 0 #92670A,
        -3px -2px 0 #92670A, -2px -2px 0 #92670A, -1px -2px 0 #92670A, 0px -2px 0 #92670A, 1px -2px 0 #92670A,
        2px -2px 0 #92670A, 3px -2px 0 #92670A, 4px -2px 0 #92670A, 5px -2px 0 #92670A, -5px -1px 0 #92670A,
        -4px -1px 0 #92670A, -3px -1px 0 #92670A, -2px -1px 0 #92670A, -1px -1px 0 #92670A, 0px -1px 0 #92670A,
        1px -1px 0 #92670A, 2px -1px 0 #92670A, 3px -1px 0 #92670A, 4px -1px 0 #92670A, 5px -1px 0 #92670A,
        -5px 0px 0 #92670A, -4px 0px 0 #92670A, -3px 0px 0 #92670A, -2px 0px 0 #92670A, -1px 0px 0 #92670A,
        1px 0px 0 #92670A, 2px 0px 0 #92670A, 3px 0px 0 #92670A, 4px 0px 0 #92670A, 5px 0px 0 #92670A,
        -5px 1px 0 #92670A, -4px 1px 0 #92670A, -3px 1px 0 #92670A, -2px 1px 0 #92670A, -1px 1px 0 #92670A,
        0px 1px 0 #92670A, 1px 1px 0 #92670A, 2px 1px 0 #92670A, 3px 1px 0 #92670A, 4px 1px 0 #92670A,
        5px 1px 0 #92670A, -5px 2px 0 #92670A, -4px 2px 0 #92670A, -3px 2px 0 #92670A, -2px 2px 0 #92670A,
        -1px 2px 0 #92670A, 0px 2px 0 #92670A, 1px 2px 0 #92670A, 2px 2px 0 #92670A, 3px 2px 0 #92670A,
        4px 2px 0 #92670A, 5px 2px 0 #92670A, -5px 3px 0 #92670A, -4px 3px 0 #92670A, -3px 3px 0 #92670A,
        -2px 3px 0 #92670A, -1px 3px 0 #92670A, 0px 3px 0 #92670A, 1px 3px 0 #92670A, 2px 3px 0 #92670A,
        3px 3px 0 #92670A, 4px 3px 0 #92670A, 5px 3px 0 #92670A, -5px 4px 0 #92670A, -4px 4px 0 #92670A,
        -3px 4px 0 #92670A, -2px 4px 0 #92670A, -1px 4px 0 #92670A, 0px 4px 0 #92670A, 1px 4px 0 #92670A,
        2px 4px 0 #92670A, 3px 4px 0 #92670A, 4px 4px 0 #92670A, 5px 4px 0 #92670A, -5px 5px 0 #92670A,
        -4px 5px 0 #92670A, -3px 5px 0 #92670A, -2px 5px 0 #92670A, -1px 5px 0 #92670A, 0px 5px 0 #92670A,
        1px 5px 0 #92670A, 2px 5px 0 #92670A, 3px 5px 0 #92670A, 4px 5px 0 #92670A, 5px 5px 0 #92670A;
}

.stroke-light-blue {
    text-shadow:
        -5px -5px 0 #3b9cbf, -4px -5px 0 #3b9cbf, -3px -5px 0 #3b9cbf, -2px -5px 0 #3b9cbf, -1px -5px 0 #3b9cbf,
        0px -5px 0 #3b9cbf, 1px -5px 0 #3b9cbf, 2px -5px 0 #3b9cbf, 3px -5px 0 #3b9cbf, 4px -5px 0 #3b9cbf,
        5px -5px 0 #3b9cbf, -5px -4px 0 #3b9cbf, -4px -4px 0 #3b9cbf, -3px -4px 0 #3b9cbf, -2px -4px 0 #3b9cbf,
        -1px -4px 0 #3b9cbf, 0px -4px 0 #3b9cbf, 1px -4px 0 #3b9cbf, 2px -4px 0 #3b9cbf, 3px -4px 0 #3b9cbf,
        4px -4px 0 #3b9cbf, 5px -4px 0 #3b9cbf, -5px -3px 0 #3b9cbf, -4px -3px 0 #3b9cbf, -3px -3px 0 #3b9cbf,
        -2px -3px 0 #3b9cbf, -1px -3px 0 #3b9cbf, 0px -3px 0 #3b9cbf, 1px -3px 0 #3b9cbf, 2px -3px 0 #3b9cbf,
        3px -3px 0 #3b9cbf, 4px -3px 0 #3b9cbf, 5px -3px 0 #3b9cbf, -5px -2px 0 #3b9cbf, -4px -2px 0 #3b9cbf,
        -3px -2px 0 #3b9cbf, -2px -2px 0 #3b9cbf, -1px -2px 0 #3b9cbf, 0px -2px 0 #3b9cbf, 1px -2px 0 #3b9cbf,
        2px -2px 0 #3b9cbf, 3px -2px 0 #3b9cbf, 4px -2px 0 #3b9cbf, 5px -2px 0 #3b9cbf, -5px -1px 0 #3b9cbf,
        -4px -1px 0 #3b9cbf, -3px -1px 0 #3b9cbf, -2px -1px 0 #3b9cbf, -1px -1px 0 #3b9cbf, 0px -1px 0 #3b9cbf,
        1px -1px 0 #3b9cbf, 2px -1px 0 #3b9cbf, 3px -1px 0 #3b9cbf, 4px -1px 0 #3b9cbf, 5px -1px 0 #3b9cbf,
        -5px 0px 0 #3b9cbf, -4px 0px 0 #3b9cbf, -3px 0px 0 #3b9cbf, -2px 0px 0 #3b9cbf, -1px 0px 0 #3b9cbf,
        1px 0px 0 #3b9cbf, 2px 0px 0 #3b9cbf, 3px 0px 0 #3b9cbf, 4px 0px 0 #3b9cbf, 5px 0px 0 #3b9cbf,
        -5px 1px 0 #3b9cbf, -4px 1px 0 #3b9cbf, -3px 1px 0 #3b9cbf, -2px 1px 0 #3b9cbf, -1px 1px 0 #3b9cbf,
        0px 1px 0 #3b9cbf, 1px 1px 0 #3b9cbf, 2px 1px 0 #3b9cbf, 3px 1px 0 #3b9cbf, 4px 1px 0 #3b9cbf,
        5px 1px 0 #3b9cbf, -5px 2px 0 #3b9cbf, -4px 2px 0 #3b9cbf, -3px 2px 0 #3b9cbf, -2px 2px 0 #3b9cbf,
        -1px 2px 0 #3b9cbf, 0px 2px 0 #3b9cbf, 1px 2px 0 #3b9cbf, 2px 2px 0 #3b9cbf, 3px 2px 0 #3b9cbf,
        4px 2px 0 #3b9cbf, 5px 2px 0 #3b9cbf, -5px 3px 0 #3b9cbf, -4px 3px 0 #3b9cbf, -3px 3px 0 #3b9cbf,
        -2px 3px 0 #3b9cbf, -1px 3px 0 #3b9cbf, 0px 3px 0 #3b9cbf, 1px 3px 0 #3b9cbf, 2px 3px 0 #3b9cbf,
        3px 3px 0 #3b9cbf, 4px 3px 0 #3b9cbf, 5px 3px 0 #3b9cbf, -5px 4px 0 #3b9cbf, -4px 4px 0 #3b9cbf,
        -3px 4px 0 #3b9cbf, -2px 4px 0 #3b9cbf, -1px 4px 0 #3b9cbf, 0px 4px 0 #3b9cbf, 1px 4px 0 #3b9cbf,
        2px 4px 0 #3b9cbf, 3px 4px 0 #3b9cbf, 4px 4px 0 #3b9cbf, 5px 4px 0 #3b9cbf, -5px 5px 0 #3b9cbf,
        -4px 5px 0 #3b9cbf, -3px 5px 0 #3b9cbf, -2px 5px 0 #3b9cbf, -1px 5px 0 #3b9cbf, 0px 5px 0 #3b9cbf,
        1px 5px 0 #3b9cbf, 2px 5px 0 #3b9cbf, 3px 5px 0 #3b9cbf, 4px 5px 0 #3b9cbf, 5px 5px 0 #3b9cbf;
}

.stroke-dark-brown {
    text-shadow:
        -5px -5px 0 #4B3301, -4px -5px 0 #4B3301, -3px -5px 0 #4B3301, -2px -5px 0 #4B3301, -1px -5px 0 #4B3301,
        0px -5px 0 #4B3301, 1px -5px 0 #4B3301, 2px -5px 0 #4B3301, 3px -5px 0 #4B3301, 4px -5px 0 #4B3301,
        5px -5px 0 #4B3301, -5px -4px 0 #4B3301, -4px -4px 0 #4B3301, -3px -4px 0 #4B3301, -2px -4px 0 #4B3301,
        -1px -4px 0 #4B3301, 0px -4px 0 #4B3301, 1px -4px 0 #4B3301, 2px -4px 0 #4B3301, 3px -4px 0 #4B3301,
        4px -4px 0 #4B3301, 5px -4px 0 #4B3301, -5px -3px 0 #4B3301, -4px -3px 0 #4B3301, -3px -3px 0 #4B3301,
        -2px -3px 0 #4B3301, -1px -3px 0 #4B3301, 0px -3px 0 #4B3301, 1px -3px 0 #4B3301, 2px -3px 0 #4B3301,
        3px -3px 0 #4B3301, 4px -3px 0 #4B3301, 5px -3px 0 #4B3301, -5px -2px 0 #4B3301, -4px -2px 0 #4B3301,
        -3px -2px 0 #4B3301, -2px -2px 0 #4B3301, -1px -2px 0 #4B3301, 0px -2px 0 #4B3301, 1px -2px 0 #4B3301,
        2px -2px 0 #4B3301, 3px -2px 0 #4B3301, 4px -2px 0 #4B3301, 5px -2px 0 #4B3301, -5px -1px 0 #4B3301,
        -4px -1px 0 #4B3301, -3px -1px 0 #4B3301, -2px -1px 0 #4B3301, -1px -1px 0 #4B3301, 0px -1px 0 #4B3301,
        1px -1px 0 #4B3301, 2px -1px 0 #4B3301, 3px -1px 0 #4B3301, 4px -1px 0 #4B3301, 5px -1px 0 #4B3301,
        -5px 0px 0 #4B3301, -4px 0px 0 #4B3301, -3px 0px 0 #4B3301, -2px 0px 0 #4B3301, -1px 0px 0 #4B3301,
        1px 0px 0 #4B3301, 2px 0px 0 #4B3301, 3px 0px 0 #4B3301, 4px 0px 0 #4B3301, 5px 0px 0 #4B3301,
        -5px 1px 0 #4B3301, -4px 1px 0 #4B3301, -3px 1px 0 #4B3301, -2px 1px 0 #4B3301, -1px 1px 0 #4B3301,
        0px 1px 0 #4B3301, 1px 1px 0 #4B3301, 2px 1px 0 #4B3301, 3px 1px 0 #4B3301, 4px 1px 0 #4B3301,
        5px 1px 0 #4B3301, -5px 2px 0 #4B3301, -4px 2px 0 #4B3301, -3px 2px 0 #4B3301, -2px 2px 0 #4B3301,
        -1px 2px 0 #4B3301, 0px 2px 0 #4B3301, 1px 2px 0 #4B3301, 2px 2px 0 #4B3301, 3px 2px 0 #4B3301,
        4px 2px 0 #4B3301, 5px 2px 0 #4B3301, -5px 3px 0 #4B3301, -4px 3px 0 #4B3301, -3px 3px 0 #4B3301,
        -2px 3px 0 #4B3301, -1px 3px 0 #4B3301, 0px 3px 0 #4B3301, 1px 3px 0 #4B3301, 2px 3px 0 #4B3301,
        3px 3px 0 #4B3301, 4px 3px 0 #4B3301, 5px 3px 0 #4B3301, -5px 4px 0 #4B3301, -4px 4px 0 #4B3301,
        -3px 4px 0 #4B3301, -2px 4px 0 #4B3301, -1px 4px 0 #4B3301, 0px 4px 0 #4B3301, 1px 4px 0 #4B3301,
        2px 4px 0 #4B3301, 3px 4px 0 #4B3301, 4px 4px 0 #4B3301, 5px 4px 0 #4B3301, -5px 5px 0 #4B3301,
        -4px 5px 0 #4B3301, -3px 5px 0 #4B3301, -2px 5px 0 #4B3301, -1px 5px 0 #4B3301, 0px 5px 0 #4B3301,
        1px 5px 0 #4B3301, 2px 5px 0 #4B3301, 3px 5px 0 #4B3301, 4px 5px 0 #4B3301, 5px 5px 0 #4B3301;
}

/* text colors  */
.text-black {
    color: black;
}

.text-white {
    color: white;
}

.text-orange {
    color: #faa300;
}

.text-navy {
    color: #000B51;
}

.text-purple {
    color: #5F2260
}

/* text transforms */
.text-uppercase {
    text-transform: uppercase;
}

.text-lowercase {
    text-transform: lowercase;
}

/* text sizes */

.text-xs {
    font-size: 16px;
}

.text-sm {
    font-size: 20px;
}

.text-md {
    font-size: 36px;
}

.text-lg {
    font-size: 48px;
}

.text-xl {
    font-size: 64px;
}

.text-xxl {
    font-size: 96px;
}

/* text-align */
.text-center {
    text-align: center;
}

/* text blocks alignment */

.align-between {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


/* *** START SCREEN *** */

#start-screen {
    width: 1920px;
    height: 1080px;
    background: url('../assets/img/start-menu-bg.png');
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    display: block;
}

/* music switch  */

#music-switch-start-screen {
    position: absolute;
    left: 94px;
    top: 40px;
    width: 201px;
    height: 24px;
}


/* latest score & high-score  */

#start-menu-high-title {
    position: absolute;
    left: 94px;
    top: 197px;
}

#start-menu-high-score {
    position: absolute;
    left: 94px;
    top: 272px;
}

#start-menu-last-title {
    position: absolute;
    left: 94px;
    top: 379px;
}

#start-menu-last-score {
    position: absolute;
    left: 94px;
    top: 465px;
}

/* start btn */
#start-button {
    position: absolute;
    left: 69px;
    top: 709px;
}

/* game logo */
#game-logo {
    position: absolute;
    left: 1402px;
    top: 50px;
}

/* nyo games sign  */
#nyogames-text {
    position: absolute;
    left: 1372px;
    top: 879px;
}

#sunglasses-emoji {
    position: absolute;
    left: 1708px;
    top: 874px;
}

/* *** GAMEPLAY SCREEN  *** */

#game-box {
    position: relative;
    width: 1920px;
    height: 1080px;
    display: none;
}

#collision-area {
    position: relative;
    width: 1920px;
    height: 869px;
    left: 0px;
    top: 0px;
    background-image: url('../assets/img/bg-top-collision.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#character-base {
    position: relative;
    left: 0px;
    top: 0px;
    width: 1920px;
    height: 211px;
    background-image: url('../assets/img/bg-bottom-char-base.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 6;
}

/* game top board left */
/* scoreboard */

#current-score-div {
    position: absolute;
    left: 47px;
    top: 26px;
    width: 267px;
    height: 20px;
}

#last-score-div {
    position: absolute;
    left: 47px;
    top: 66px;
    width: 267px;
    height: 20px;
}

#high-score-div {
    position: absolute;
    left: 47px;
    top: 106px;
    width: 267px;
    height: 20px;
}

/* power bars */

.power-bars {
    width: 251px;
    height: 30px;
    background-color: #D9D9D9;
    z-index: 2;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 5px;
}

.inner-bars {
    width: 100%;
    height: 100%;
}

#base-icon {
    position: absolute;
    left: 38px;
    top: 142px;
    z-index: 3;
}

#base-bar {
    position: absolute;
    left: 65px;
    top: 150px;
}

#base-inner-bar {
    background-color: #512200
}


#energy-icon {
    position: absolute;
    left: 38px;
    top: 269px;
    z-index: 3;
}

#energy-bar {
    position: absolute;
    left: 65px;
    top: 274px;
}

#energy-inner-bar {
    background-color: #bf39fd
}


#life-icon {
    position: absolute;
    left: 38px;
    top: 201px;
    z-index: 3;
}

#life-bar {
    position: absolute;
    left: 65px;
    top: 210px;
}

#life-inner-bar {
    background-color: #7DBF3B
}


/* game top board right */

#music-toggle-div {
    position: absolute;
    left: 1695px;
    top: 30px;
}

#sfx-toggle-div {
    position: absolute;
    left: 1695px;
    top: 72px;
}

#pause-btn {
    position: absolute;
    left: 1762px;
    top: 112px;
    width: 130px;
    text-align: end;
}

#quit-btn {
    position: absolute;
    left: 1812px;
    top: 154px;
}

.top-right-item {
    width: 192px;
    height: 23px;
}

/* start countdown  */

#start-countdown {
    position: absolute;
    width: 1920px;
    height: 230px;
    left: 0;
    top: 367px;
    font-size: 256px;
    color: white;
    text-align: center;
}

#pause-div {
    position: absolute;
    width: 1920px;
    height: 230px;
    left: 0;
    top: 367px;
    font-size: 256px;
    color: white;
    text-align: center;
}

/* quit confirmation */

#quit-confirm {
    position: absolute;
    width: 900px;
    height: 240px;
    left: 517px;
    top: 297px;
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    border: solid 4px white;
    padding-top: 80px;
    padding-bottom: 80px;
    background-color: rgba(100, 100, 100, 17%);
    backdrop-filter: blur(16.2px);
}

.quit-btns-div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 748px;
    height: 77px;
}

.quit-btns {
    width: 330px;
    height: 76px;
}

#quit-no {
    background-color: #A94848;
}

#quit-yes {
    background-color: #A9A148;
}





/*** RESULT SCREEN ***/

#result-screen {
    position: relative;
    width: 1920px;
    height: 1080px;
    background-image: url('../assets/img/result-screen-bg.png');
    display: none;
}

#result-bg-div {
    position: absolute;
    left: 116px;
    top: 81px;
    width: 1687px;
    height: 918px;
    background-color: rgba(100, 100, 100, 50%);
    backdrop-filter: blur(12.6px);
    z-index: 1;
}

#result-screen > p {
    width: 100%;
    display: block;
    z-index: 2;
}

#game-end-message-one {
    position: absolute;
    left: 0;
    top: 162px;
}
#game-end-message-two {
    position: absolute;
    left: 0;
    top: 258px;
}
#game-end-result-title {
    position: absolute;
    left: 0;
    top: 356px;
}
#game-end-result-score {
    position: absolute;
    left: 0;
    top: 457px;
}
#game-end-high-title {
    position: absolute;
    left: 0;
    top: 629px;
}
#game-end-high-score {
    position: absolute;
    left: 0;
    top: 711px;
}
#game-end-main-menu {
    position: absolute;
    left: 0;
    top: 882px;
}
